<template>
  <div
    id="brand-logo"
    class="brand-logo"
    :style="{ backgroundImage: 'url(' + defaultLogo + ')' }"
  />
</template>

<script>
import {mapGetters} from "vuex";

export default {
  name: "BrandLogo",
  computed: {
    ...mapGetters([
      'logo'
    ]),
    defaultLogo() {
      return this.logo === null ? "../../../img/logo_110x42.png" : this.logo
    }
  }
}
</script>

<style scoped>
.brand-logo {
  display: block;
  background-repeat: no-repeat;
  background-position: center;
  position: absolute;
  top: 0;
  right: 0;
  height: 42px;
  width: 42px;
  border: 0;
  text-align: center;
  box-sizing: border-box;
  margin: 2px 5px;
  z-index: 1;
}

.brand-logo::before {
  content: "";
  width: 0;
  height: 0;
}

@media (min-width: 768px) {
  .brand-logo {
    margin: 5px 10px;
    background-image: url('../../../img/logo_110x42.png');
    width: 110px;
  }
}

@media (max-width: 768px) {
  .brand-logo {
    background-image: none !important;
  }
}
</style>